Windows7でgemをアップグレードしようと思ったら文句を言われました。

スポンサーリンク

ERROR:  Error installing bigdecimal:
The ‘bigdecimal’ native gem requires installed build tools.

Snap_2013-7-30_15-54-35

Development Kit · oneclick/rubyinstaller Wiki · GitHub

このサイトから、何かをダウンして入れなさいみたいなことが書いてあるのでは?
よくわかりません。

Snap_2013-7-30_16-22-45
32-4.5.2がRuby 1.9.3用です。
これをどこでも好きな所に解凍します。
Rubyはパスが設定されてどこでも動くようにしておきます。

Snap_2013-7-30_16-16-44

私の場合は、ついでにRubyもアップグレイドしておきました。

Snap_2013-7-30_17-5-24

DevKitと同じフォルダでDosコマンドを実行します。

>Ruby dk.rb init

>Ruby dk.rb install

これで組み込まれるようです。よく理解できていません。

Snap_2013-7-30_16-38-9

gem updateエラー無く出来ました。

参考サイト:

Windows 7にRails 3.1.1をインストール

コメント

タイトルとURLをコピーしました